com.sun.jna.platform.win32

## Class WinCrypt.HCERTCHAINENGINE

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.WinNT.HANDLE
    - - com.sun.jna.platform.win32.WinCrypt.HCERTCHAINENGINE

- All Implemented Interfaces:
    NativeMapped
  Enclosing interface:
    WinCrypt

      public static class WinCrypt.HCERTCHAINENGINE
      extends WinNT.HANDLE

  Handle to a certificate chain engine.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HCERTCHAINENGINE()` Instantiates a new hcertchainengine.
    `HCERTCHAINENGINE(Pointer p)` Instantiates a new hcertchainengine.

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.WinNT.HANDLE

      `fromNative, setPointer, toString`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, getPointer, hashCode, nativeType, toNative`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HCERTCHAINENGINE

          public HCERTCHAINENGINE()

      Instantiates a new hcertchainengine.

    - #### HCERTCHAINENGINE

          public HCERTCHAINENGINE(Pointer p)

      Instantiates a new hcertchainengine.
      Parameters:
        `p` - the p

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.